aboutsummaryrefslogtreecommitdiffstats
path: root/patches/opnfv-fuel/0011-lib.sh-rm-Ubuntu-boot-entry-on-EFI-systems.patch
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-10-23 19:03:53 +0200
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-10-27 16:59:28 +0000
commit77e60fe7ecc572aa44e0da9e3817bd7b76078734 (patch)
tree90b9d9162fe9667076f621290a04eff705c39eab /patches/opnfv-fuel/0011-lib.sh-rm-Ubuntu-boot-entry-on-EFI-systems.patch
parent777eb4c1bcab2062afcdc65a0575cba268de562d (diff)
ci/deploy.sh: Add support for CI_DEBUG
While at it, use SSH_SALT global var in `cleanup_uefi`. Change-Id: I9400edde69d3aaaa1879cce0e79898c80db486db Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com> (cherry picked from commit 3d92843941184335c2f1b3e8a074c6e9f2e49571)
Diffstat (limited to 'patches/opnfv-fuel/0011-lib.sh-rm-Ubuntu-boot-entry-on-EFI-systems.patch')
-rw-r--r--patches/opnfv-fuel/0011-lib.sh-rm-Ubuntu-boot-entry-on-EFI-systems.patch4
1 files changed, 2 insertions, 2 deletions
diff --git a/patches/opnfv-fuel/0011-lib.sh-rm-Ubuntu-boot-entry-on-EFI-systems.patch b/patches/opnfv-fuel/0011-lib.sh-rm-Ubuntu-boot-entry-on-EFI-systems.patch
index a1d9da94..01e3f954 100644
--- a/patches/opnfv-fuel/0011-lib.sh-rm-Ubuntu-boot-entry-on-EFI-systems.patch
+++ b/patches/opnfv-fuel/0011-lib.sh-rm-Ubuntu-boot-entry-on-EFI-systems.patch
@@ -31,7 +31,7 @@ Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
1 file changed, 10 insertions(+)
diff --git a/mcp/scripts/lib.sh b/mcp/scripts/lib.sh
-index a165bb3..2a694a7 100644
+index a165bb3..bfde237 100644
--- a/mcp/scripts/lib.sh
+++ b/mcp/scripts/lib.sh
@@ -35,6 +35,15 @@ function get_base_image {
@@ -41,7 +41,7 @@ index a165bb3..2a694a7 100644
+function cleanup_uefi {
+ # Clean up Ubuntu boot entry if cfg01, kvm nodes online from previous deploy
+ # shellcheck disable=SC2086
-+ ssh ${SSH_OPTS} "ubuntu@${SALT_MASTER}" "sudo salt -C 'kvm* or cmp*' cmd.run \
++ ssh ${SSH_OPTS} "${SSH_SALT}" "sudo salt -C 'kvm* or cmp*' cmd.run \
+ \"which efibootmgr > /dev/null 2>&1 && \
+ efibootmgr | grep -oP '(?<=Boot)[0-9]+(?=.*ubuntu)' | \
+ xargs -I{} efibootmgr --delete-bootnum --bootnum {}\"" || true